"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_1 = require("graphql");
var graphql_tools_1 = require("graphql-tools");
var createHandler_1 = require("./createHandler");
var createMessenger_1 = require("./createMessenger");
var createClient = function (host, key, poster) {
    var _a = createHandler_1.default(), handle = _a.handle, execute = _a.execute;
    var message = createMessenger_1.default(host, key, poster);
    var resolve = function (typeDefs, resolvers) {
        var schema = graphql_tools_1.makeExecutableSchema({ typeDefs: typeDefs, resolvers: resolvers });
        handle('graphql', function (payload) {
            return graphql_1.graphql(schema, payload.query, undefined, undefined, payload.variables);
        });
    };
    return {
        client: {
            handle: handle,
            message: message,
            resolve: resolve,
        },
        execute: execute,
    };
};
exports.default = createClient;
//# sourceMappingURL=createClient.js.map